<?php
/**
 * Mageplaza
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the mageplaza.com license that is
 * available through the world-wide-web at this URL:
 * https://mageplaza.com/LICENSE.txt
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this extension to newer
 * version in the future.
 *
 * @category    Mageplaza
 * @package     Mageplaza_Smtp
 * @copyright   Copyright (c) 2017 Mageplaza (https://www.mageplaza.com/)
 * @license     http://mageplaza.com/LICENSE.txt
 */

namespace Mageplaza\Smtp\Model\Source;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class Status
 * @package Mageplaza\Smtp\Model\Source
 */
class Status implements OptionSourceInterface
{
	const STATUS_SUCCESS = 1;
	const STATUS_ERROR = 0;

	/**
	 * @return array
	 */
	public function toOptionArray()
	{
		return [
			['value' => self::STATUS_SUCCESS, 'label' => __('Success')],
			['value' => self::STATUS_ERROR, 'label' => __('Error')],
		];
	}
}
